## hostmode-gui 0.2-9

=== src/Makefile ===
#############################################################################
# Makefile for building: hostmode
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Nov 22 16:42:46 2010
# Project:  hostmode.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile hostmode.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/include/QtCore -I/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/include/QtGui -I/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/include/QtDBus -I/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/include/QtMaemo5 -I/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		kernelmessageswindow.cpp \
		helpwindow.cpp \
		aboutwindow.cpp \
		settingswindow.cpp moc_mainwindow.cpp \
		moc_kernelmessageswindow.cpp \
		moc_helpwindow.cpp \
		moc_aboutwindow.cpp \
		moc_settingswindow.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		kernelmessageswindow.o \
		helpwindow.o \
		aboutwindow.o \
		settingswindow.o \
		moc_mainwindow.o \
		moc_kernelmessageswindow.o \
		moc_helpwindow.o \
		moc_aboutwindow.o \
		moc_settingswindow.o \
		qrc_resources.o
DIST          = /targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		hostmode.pro
QMAKE_TARGET  = hostmode
DESTDIR       = 
TARGET        = hostmode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_kernelmessageswindow.h ui_helpwindow.h ui_aboutwindow.h ui_settingswindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: hostmode.pro  /targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile hostmode.pro
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-eecd1157f45fe46ae46cc74f4cb0a263155d5797/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile hostmode.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/hostmode1.0.0 || $(MKDIR) .tmp/hostmode1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents mainwindow.h kernelmessageswindow.h helpwindow.h aboutwindow.h settingswindow.h .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp kernelmessageswindow.cpp helpwindow.cpp aboutwindow.cpp settingswindow.cpp .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents mainwindow.ui kernelmessageswindow.ui helpwindow.ui aboutwindow.ui settingswindow.ui .tmp/hostmode1.0.0/ && (cd `dirname .tmp/hostmode1.0.0` && $(TAR) hostmode1.0.0.tar hostmode1.0.0 && $(COMPRESS) hostmode1.0.0.tar) && $(MOVE) `dirname .tmp/hostmode1.0.0`/hostmode1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/hostmode1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_kernelmessageswindow.cpp moc_helpwindow.cpp moc_aboutwindow.cpp moc_settingswindow.cpp
compiler_moc_header_clean:

=== debian/changelog ===
hostmode-gui (0.2-9) unstable; urgency=low

  * Check for hostmode's API version.
  * Dump kernel version check.
  * Depend on kernel-feature-usbhost.
  * Added commented out code for a settings page.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 22 Nov 2010 16:18:49 +0200

=== debian/control ===
Source: hostmode-gui
Section: user/system
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1660

Package: hostmode-gui
Architecture: armel
Depends: ${shlibs:Depends}, i2c-tools (>= 3.0.2-1maemo3), kernel-feature-usbhost
Description: h-e-n, hostmode easy now
 A compatible kernel is required!
 kernel-power (>=46) is suggested by the hostmode team
 Hostmode is currently in beta stage.
 Hostmode GUI for the Nokia N900.
 Thanks to everyone involved in the team:
 .
 Project Admins:
 Joerg Reisenweber
 Paul Fertser
 .
 Developers:
 Chitrang Srivastava
 Dave na
 Hagen Meyer
 Ian Stirling
 Jacek Milewicz
 Klaus Kurzmann
 Mohammad Abu-Garbeyyeh
 Mugur Enache
 Sarah Newman
 Sonny Jim
 Tom Tanner
XB-Maemo-Display-Name: h-e-n (USB Hostmode GUI)
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAABIBJREFUeNpi/P//P8NQBkwM
 QxyMemDUA6MeGPXAqAcoAizoAoyMjDS10Kz9Pz+QSgBiASDecKqS8SKxerFV
 uozogrT0ANDx+kDqANTxMADiBwA98pEcD7DQ0LH+QMoATTgBzfEg4PDvz89i
 IF1HlSRExZBegMWxWMG/39+9gFQLEP8aLJmYaMcjAd5BEQPA0K9HTjp/f337
 +ev9/bcgNqe4thQ2PX9/fv4JpNgG3ANAx9sDqQZksYcbM7e8ObfoMoitlXUi
 gUfWXAFd39vzi64Aqc8DWg9Ai8cFyGKvzy44C3T8LCAThOfeWRa+4OOdPTdh
 8r+/vv78cHPezie7arYBud8HOgZAIQ8P3Z/vH7y5vyYR5PBjQPwFJPbrw8Pl
 N+e6gkJaHaoMxD4MLUr/DpgHoEVmAXK6f7ilYB2QuRnmeCi4BY0NWIYFOfoD
 OaUPUR5AK8ux1prYks6bs/OPf7i2cTGQ+RyLsV/QPIVsVjyo9ALaM5GiPABy
 FBDvBzkamjRA+AJQrJ9Qkfnl8ckHDzflzAUyz5Iamj/e3TMGUhNAdgOxPNke
 +Pf3VzOohsQiVQCNFTAwafqWBGoGICcdUEYFMneRkyn///7ODqudoQGWT0gP
 RltIKXSBpKhxwjOclvz785iRiWUuzEPooc/EwrGXS1L/MTnp+c/3D74snALG
 aMKgDJ4ATFYPiWrMaabuDeNTdl45yFrNoIxecLKCYSHBJASsFdkGmeMZvr+8
 +u3mfE8Bokqh769v/hXEYxhy0wDFIB4xXlZuUV5C6vAWiVjMeH161tlHWwp3
 QZMSUf0BS/2y+5vYBRVEsGl4c2HpsXsrY3ahi7PySQvr5J1PQHbAvTXJy96c
 nXeLWA+oRK1yENINdYCG+rO7q+N3fXt6di+0UHhFbH/gLqgSUg5fFs/MxsWO
 LAGqXZ/uaVwOZK5F1/T701Phx9srhJVC5kbBxBQCpoIc0wL0xAdiPMAppiUF
 DHXLF4e6jj/d2wgK8S1AfBlfRYctBpiBlCW/mmemtEu9Fae4ruS/319/fbix
 9dbT3bUHfn18Mh3kSSxmgfQ5K4bMbwOWYsaIZPB12tl6nmxiPCDtXF//6vRs
 qd+fnu2FJplX5HYpQRnZDIhtgVgSGgKgpLAXh+PhgQjEsboFV+qRm87AgsH5
 bAPfPmJaJdD20V1soU5OnxjUTOAisc0iySYgl6NbeL0YKQk+ADVJiOn3kton
 JtSc/ghtz7wiocH1/NeHR8uf7q5BzugK6P0EagFajUqA8oOPSszaZiHtIF3k
 DjwwFg6CkhqwmfANazPmz8/mM7UcddSKAXIBKMntvbMkeBao5EJu+IF6bWoJ
 2wJwafz59o74YBmZAzWZ195ZHrEcVCEhJaUDAuqey4bK0OLzr49PLnlxpO8A
 rSygx9joBWD9MQ+5L0xNwEIHD4BKr50P1qUp88hbWcIElcOX+A4VD4CL45/v
 7y8D4mNQPhefigvWMaJf7x88GwzFKMHKDohxxcAdIN5HbDHKODpPPOqBUQ+M
 emDUAyPaAwABBgD3CgKIXvcZbgAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UISRC=$(CURDIR)/src

CFLAGS = -Wall -g
EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd $(UISRC) && qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	cd $(UISRC) && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	cd $(UISRC) && qmake && $(MAKE) clean
	if [ -f src/hostmode ]; then rm -f src/hostmode; fi
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs debian/changelog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hostmode-gui 0.3

=== src/Makefile ===
#############################################################################
# Makefile for building: hostmode
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Nov 22 23:16:47 2010
# Project:  hostmode.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile hostmode.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/include/QtCore -I/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/include/QtGui -I/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/include/QtDBus -I/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/include/QtMaemo5 -I/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		kernelmessageswindow.cpp \
		helpwindow.cpp \
		aboutwindow.cpp \
		settingsdialog.cpp moc_mainwindow.cpp \
		moc_kernelmessageswindow.cpp \
		moc_helpwindow.cpp \
		moc_aboutwindow.cpp \
		moc_settingsdialog.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		kernelmessageswindow.o \
		helpwindow.o \
		aboutwindow.o \
		settingsdialog.o \
		moc_mainwindow.o \
		moc_kernelmessageswindow.o \
		moc_helpwindow.o \
		moc_aboutwindow.o \
		moc_settingsdialog.o \
		qrc_resources.o
DIST          = /targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		hostmode.pro
QMAKE_TARGET  = hostmode
DESTDIR       = 
TARGET        = hostmode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_kernelmessageswindow.h ui_helpwindow.h ui_aboutwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: hostmode.pro  /targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile hostmode.pro
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-0bcbf282a59bdbc4ab4293d673f1659cf66cc47a/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile hostmode.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/hostmode1.0.0 || $(MKDIR) .tmp/hostmode1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents mainwindow.h kernelmessageswindow.h helpwindow.h aboutwindow.h settingsdialog.h .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp kernelmessageswindow.cpp helpwindow.cpp aboutwindow.cpp settingsdialog.cpp .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents mainwindow.ui kernelmessageswindow.ui helpwindow.ui aboutwindow.ui .tmp/hostmode1.0.0/ && (cd `dirname .tmp/hostmode1.0.0` && $(TAR) hostmode1.0.0.tar hostmode1.0.0 && $(COMPRESS) hostmode1.0.0.tar) && $(MOVE) `dirname .tmp/hostmode1.0.0`/hostmode1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/hostmode1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_kernelmessageswindow.cpp moc_helpwindow.cpp moc_aboutwindow.cpp moc_settingsdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_kernelmessageswindow.cpp moc_helpwindow.cpp moc_aboutwindow.cpp moc_settingsdialog.cpp

=== debian/changelog ===
hostmode-gui (0.3) unstable; urgency=low

  * Added settings dialog to select postmount options.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 22 Nov 2010 23:10:56 +0200

## hostmode-gui 0.4-1

=== src/Makefile ===
#############################################################################
# Makefile for building: hostmode
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun May 20 22:12:51 2012
# Project:  hostmode.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile hostmode.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/include/QtCore -I/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/include/QtGui -I/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/include/QtDBus -I/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/include/QtMaemo5 -I/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		kernelmessageswindow.cpp \
		helpwindow.cpp \
		aboutwindow.cpp \
		settingsdialog.cpp moc_mainwindow.cpp \
		moc_kernelmessageswindow.cpp \
		moc_helpwindow.cpp \
		moc_aboutwindow.cpp \
		moc_settingsdialog.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		kernelmessageswindow.o \
		helpwindow.o \
		aboutwindow.o \
		settingsdialog.o \
		moc_mainwindow.o \
		moc_kernelmessageswindow.o \
		moc_helpwindow.o \
		moc_aboutwindow.o \
		moc_settingsdialog.o \
		qrc_resources.o
DIST          = /targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		hostmode.pro
QMAKE_TARGET  = hostmode
DESTDIR       = 
TARGET        = hostmode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_kernelmessageswindow.h ui_helpwindow.h ui_aboutwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: hostmode.pro  /targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile hostmode.pro
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-9c63d6df0b1cd2a11e4ddf2da8807a125f6be0f6/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile hostmode.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/hostmode1.0.0 || $(MKDIR) .tmp/hostmode1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents mainwindow.h kernelmessageswindow.h helpwindow.h aboutwindow.h settingsdialog.h .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp kernelmessageswindow.cpp helpwindow.cpp aboutwindow.cpp settingsdialog.cpp .tmp/hostmode1.0.0/ && $(COPY_FILE) --parents mainwindow.ui kernelmessageswindow.ui helpwindow.ui aboutwindow.ui .tmp/hostmode1.0.0/ && (cd `dirname .tmp/hostmode1.0.0` && $(TAR) hostmode1.0.0.tar hostmode1.0.0 && $(COMPRESS) hostmode1.0.0.tar) && $(MOVE) `dirname .tmp/hostmode1.0.0`/hostmode1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/hostmode1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_kernelmessageswindow.cpp moc_helpwindow.cpp moc_aboutwindow.cpp moc_settingsdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_kernelmessageswindow.cpp moc_helpwindow.cpp moc_aboutwindow.cpp moc_settingsdialog.cpp

=== debian/changelog ===
hostmode-gui (0.4-1) unstable; urgency=low

  * Updated booston script by jOERG_rw 

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 20 May 2012 22:10:07 +0300
